---
schemaVersion: "2.0.0"

metadataTest:
  envVars:
    - key: "HOME"
      value: "/root"
    - key: "DOCKER_API_TIMEOUT"
      value: 360
    - key: "DOCKER_CLIENT_TIMEOUT"
      value: 360
    - key: "COMPOSE_HTTP_TIMEOUT"
      value: 360
  labels:
    - key: "author"
      value: "lordrobincbz"
    - key: "contact"
      value: "robincrombez.pro@gmail.com"
  exposedPorts: []
  volumes: []
  entrypoint: ["dockerd-entrypoint.sh"]
  cmd: ["/bin/bash"]
  workdir: "/root"
  user: "root:root"

globalEnvVars:
  - key: "HOME"
    value: "/root"
  - key: "DOCKER_API_TIMEOUT"
    value: 360
  - key: "DOCKER_CLIENT_TIMEOUT"
    value: 360
  - key: "COMPOSE_HTTP_TIMEOUT"
    value: 360

commandTests:
  - name: "Check Docker version"
    command: "docker"
    args: ["-v"]
  - name: "Check Docker container-structure-test help"
    command: "container-structure-test"
    args: ["-h"]
